Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

mercredi 17 octobre 2018

libopencad 0.2.0 lib/dwg/io.cpp ReadMCHAR memory corruption

A vulnerability, which was classified as critical, was found in libopencad 0.2.0. Affected is the function ReadMCHAR in the library lib/dwg/io.cpp. The manipulation with an unknown input leads to a memory corruption vulnerability (Heap-based). CWE is classifying the issue as CWE-122. This is going to have an impact on confidentiality, integrity, and availability. CVE summarizes:

A heap-based buffer over-read exists in libopencad 0.2.0 in the ReadMCHAR function in lib/dwg/io.cpp, resulting in an application crash.

The weakness was presented 10/18/2018. This vulnerability is traded as CVE-2018-18480 since 10/18/2018. Technical details are known, but there is no available exploit. The structure of the vulnerability defines a possible price range of USD $0-$5k at the moment (estimation calculated on 10/19/2018).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

See 125779 for similar entries.

CPE

CVSSv3

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.5

VulDB Base Score: ≈5.5
VulDB Temp Score: ≈5.5
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Memory corruption / Heap-based (CWE-122)
Local: Yes
Remote: No

Availability: No

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Actions: 🔍

Countermeasures

Recommended: no mitigation known
0-Day Time: 🔒

Timeline

10/18/2018 Advisory disclosed
10/18/2018 CVE assigned
10/19/2018 VulDB entry created
10/19/2018 VulDB last update

Sources

CVE: CVE-2018-18480 (🔒)
See also: 🔒

Entry

Created: 10/19/2018
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 324

x

Événements SSI